# Open Source File

Opens in the Eclipse IDE a Java source file associated with a class.

## Motivation

If Memory Analyzer is installed into the Eclipse IDE, then the Eclipse IDE might have a workspace containing Java source files associated with classes in the snapshot. This query goes from the class in the snapshot and opens the source file of interest.

## Arguments

Argument | Description
--- | ---
None | No arguments, but the query must be operated on a single class or object or on a method in a stack trace in the snapshot.

## Result

If the class is present in the Eclipse IDE workspace then the editor will be opened on the class. If not, then an error message such as `Type java.lang.Thread not found in workspace` appears in a dialog.